/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include "Configure3DData.h"

void Configure3DDialog::loadCurrentValues(Configure3DData const & _data){
  
  //set limits in such a way that image enlargements are done gradually
  //this partially prevents users from entering bogus values for the image size 
   xSpinBox->setMinValue(0);
   xSpinBox->setMaxValue(_data.sizeX*2);
   ySpinBox->setMinValue(0);
   ySpinBox->setMaxValue(_data.sizeY*2);   
   zSpinBox->setMinValue(0);
   zSpinBox->setMaxValue(_data.sizeZ*2);
   
  
  xSpinBox->setValue(_data.sizeX);
  ySpinBox->setValue(_data.sizeY);
  zSpinBox->setValue(_data.sizeZ);
  
}
